ps_astar_s Struct Reference

A* search structure. More...

`#include <ps_lattice_internal.h>`

## Data Fields

ps_lattice_t * | dag
ngram_model_t * | lmset
float32 | lwf
frame_idx_t | sf
frame_idx_t | ef
int32 | w1
int32 | w2
int32 | n_hyp_tried
int32 | n_hyp_insert
int32 | n_hyp_reject
int32 | insert_depth
int32 | n_path
ps_latpath_t * | path_list
ps_latpath_t * | path_tail
ps_latpath_t * | top
glist_t | hyps
| List of hypothesis strings.
listelem_alloc_t * | latpath_alloc
| Path allocator for N-best search.

## Detailed Description

A* search structure.

Definition at line 163 of file ps_lattice_internal.h.

## Field Documentation

## dag

ps_lattice_t* ps_astar_s::dag

Definition at line 164 of file ps_lattice_internal.h.

## ef

frame_idx_t ps_astar_s::ef

Definition at line 169 of file ps_lattice_internal.h.

## hyps

glist_t ps_astar_s::hyps

List of hypothesis strings.

Definition at line 183 of file ps_lattice_internal.h.

Referenced by ps_astar_finish(), and ps_astar_hyp().

## insert_depth

int32 ps_astar_s::insert_depth

Definition at line 176 of file ps_lattice_internal.h.

## latpath_alloc

listelem_alloc_t* ps_astar_s::latpath_alloc

Path allocator for N-best search.

Definition at line 184 of file ps_lattice_internal.h.

Referenced by ps_astar_finish(), and ps_astar_start().

## lmset

ngram_model_t* ps_astar_s::lmset

Definition at line 165 of file ps_lattice_internal.h.

## lwf

float32 ps_astar_s::lwf

Definition at line 166 of file ps_lattice_internal.h.

## n_hyp_insert

int32 ps_astar_s::n_hyp_insert

Definition at line 174 of file ps_lattice_internal.h.

## n_hyp_reject

int32 ps_astar_s::n_hyp_reject

Definition at line 175 of file ps_lattice_internal.h.

## n_hyp_tried

int32 ps_astar_s::n_hyp_tried

Definition at line 173 of file ps_lattice_internal.h.

## n_path

int32 ps_astar_s::n_path

Definition at line 177 of file ps_lattice_internal.h.

## path_list

ps_latpath_t* ps_astar_s::path_list

Definition at line 179 of file ps_lattice_internal.h.

## path_tail

ps_latpath_t* ps_astar_s::path_tail

Definition at line 180 of file ps_lattice_internal.h.

## sf

frame_idx_t ps_astar_s::sf

Definition at line 168 of file ps_lattice_internal.h.

## top

ps_latpath_t* ps_astar_s::top

Definition at line 181 of file ps_lattice_internal.h.

## w1

int32 ps_astar_s::w1

Definition at line 170 of file ps_lattice_internal.h.

## w2

int32 ps_astar_s::w2

Definition at line 171 of file ps_lattice_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h